Subject: Re: bug#34949: 27.0.50; Docstring of `vc-deduce-fileset' incomplete

From: Dmitry Gutov <[email-masked]>
Date: Tue, 31 Mar 2020 02:22:42 +0300

On 31.03.2020 01:40, Juri Linkov wrote:

>> We could tweak it a little, though. Like:
>>
>>            M -> mark all files in the same status
>>        C-u M -> mark all registered files
>>    C-u C-u M -> mark all files in the vc-dir buffer
> 
> Too messy to overload the binding with long prefixes with different meanings.

*shrug* I think it makes sense: each consecutive C-u press makes us mark 
more files. With pre-existing 'M' binding, I think that makes sense.

>> Or bind vc-dir-mark-registered to a new char indeed, e.g. 'r'.
> 
> Better to bind to the mnemonic key '* r' as in this patch.

That's not too bad either.

> I still don't understand why Drew insists on 100% compatibility
> between Dired and VC-Dir - they already diverged:
> 'M' in Dired doesn't mark files like it does in VC-Dir.

I wouldn't worry about this too much.

But you can make a mini-poll in emacs-devel.